- [HTTP request](https://firebase.google.com/docs/reference/crashlytics/rest/v1alpha/projects.apps.issues/patch.md.txt#body.HTTP_TEMPLATE)
- [Path parameters](https://firebase.google.com/docs/reference/crashlytics/rest/v1alpha/projects.apps.issues/patch.md.txt#body.PATH_PARAMETERS)
- [Query parameters](https://firebase.google.com/docs/reference/crashlytics/rest/v1alpha/projects.apps.issues/patch.md.txt#body.QUERY_PARAMETERS)
- [Request body](https://firebase.google.com/docs/reference/crashlytics/rest/v1alpha/projects.apps.issues/patch.md.txt#body.request_body)
- [Response body](https://firebase.google.com/docs/reference/crashlytics/rest/v1alpha/projects.apps.issues/patch.md.txt#body.response_body)
- [Authorization scopes](https://firebase.google.com/docs/reference/crashlytics/rest/v1alpha/projects.apps.issues/patch.md.txt#body.aspect)
- [Try it!](https://firebase.google.com/docs/reference/crashlytics/rest/v1alpha/projects.apps.issues/patch.md.txt#try-it)

Change the state of an issue.

### HTTP request

`PATCH https://firebasecrashlytics.googleapis.com/v1alpha/{issue.name=projects/*/apps/*/issues/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `issue.name` | `string` Required. Output only. Immutable. Identifier. The name of the issue resource. Format: "projects/{project}/apps/{app}/issues/{issue}". |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`FieldMask` format)`` Optional. The list of Issue fields to update. Currently only "state" is mutable. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `Issue`.

### Response body

If successful, the response body contains an instance of `Issue`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/firebase`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).